Holger's Java API

## com.antelmann.crm
Enum GlobalAddress.Transport

    java.lang.Object
      java.lang.Enum<GlobalAddress.Transport>
          com.antelmann.crm.GlobalAddress.Transport

All Implemented Interfaces:
  Serializable, Comparable<GlobalAddress.Transport>

Enclosing class:
  GlobalAddress

    public static enum GlobalAddress.Transport

extends Enum<GlobalAddress.Transport>

Enum Constant Summary
`BANK_ACCOUNT`
`EMAIL`
`FAX`
`GEODATA`
`IM`
`SMS`
`SNAIL_MAIL`
`TIMEZONE`
`URL`
`VOICE`

Method Summary
`Class<?>` `getRepresentationType()` returns the type used to represent this transport
`static GlobalAddress.Transport` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GlobalAddress.Transport[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SNAIL_MAIL

    public static final GlobalAddress.Transport SNAIL_MAIL

### EMAIL

    public static final GlobalAddress.Transport EMAIL

### URL

    public static final GlobalAddress.Transport URL

### VOICE

    public static final GlobalAddress.Transport VOICE

### SMS

    public static final GlobalAddress.Transport SMS

### FAX

    public static final GlobalAddress.Transport FAX

### IM

    public static final GlobalAddress.Transport IM

### BANK_ACCOUNT

    public static final GlobalAddress.Transport BANK_ACCOUNT

### GEODATA

    public static final GlobalAddress.Transport GEODATA

### TIMEZONE

    public static final GlobalAddress.Transport TIMEZONE

Method Detail

### values

    public static GlobalAddress.Transport[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GlobalAddress.Transport c : GlobalAddress.Transport.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GlobalAddress.Transport valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getRepresentationType

    public Class<?> getRepresentationType()

  returns the type used to represent this transport

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads